> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stackone.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all actions metadata

> Retrieves a list of all actions metadata



## OpenAPI

````yaml get /actions
openapi: 3.1.0
info:
  title: StackOne
  description: The documentation for the StackOne API
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.stackone.com
security: []
tags:
  - name: Accounts
    description: View and manage linked accounts.
  - name: Actions
    description: Retrieve Actions metadata and definitions.
  - name: AI
    description: AI-powered features.
  - name: Auth Configs
    description: View and manage connector auth configurations for the project.
  - name: Connect Sessions
    description: >-
      Generate connection session tokens or auth URLs to allow your customers to
      connect their accounts.
  - name: Connectors
    description: Retrieve metadata for connectors.
  - name: MCP
    description: Model Context Protocol endpoint.
  - name: Proxy
    description: Routing API requests through StackOne directly to the underlying provider.
  - name: Request Logs
    description: API requests and response logs.
  - name: Webhooks
    description: Configure and manage webhooks.
paths:
  /actions:
    get:
      tags:
        - Actions
      summary: List all actions metadata
      description: Retrieves a list of all actions metadata
      operationId: stackone_list_actions_meta
      parameters:
        - name: page_size
          required: false
          in: query
          description: The number of results per page (default value is 25)
          schema:
            type: string
            nullable: true
        - name: next
          required: false
          in: query
          description: The unified cursor
          schema:
            type: string
            nullable: true
        - name: group_by
          required: false
          in: query
          description: The relation to group the results by
          schema:
            nullable: true
            default: connector
            example:
              - connector
            type: string
        - name: filter
          required: false
          in: query
          description: Actions Metadata filters
          explode: true
          style: deepObject
          schema:
            properties:
              connectors:
                description: A comma-separated list of connectors to filter the results by.
                example: connector1,connector2
                type: string
                nullable: true
                additionalProperties: false
              account_ids:
                description: >-
                  A comma-separated list of account IDs to filter the results
                  by.
                example: account1,account2
                type: string
                nullable: true
                additionalProperties: false
              action_key:
                description: The action key to filter the results by
                example: action1
                type: string
                nullable: true
                additionalProperties: false
            nullable: true
            type: object
        - name: include
          required: false
          in: query
          description: Additional data to include in the response
          schema:
            nullable: true
            example:
              - action_details
              - authentication_guides
            type: array
            items:
              type: string
              enum:
                - action_details
                - authentication_guides
        - name: search
          required: false
          in: query
          description: >-
            Text search across provider names, action labels, and action
            descriptions
          schema:
            nullable: true
            example: employee
            type: string
        - name: exclude
          required: false
          in: query
          description: Data to exclude from the response
          schema:
            nullable: true
            example:
              - actions
            type: array
            items:
              type: string
              enum:
                - actions
      responses:
        '200':
          description: List of actions metadata
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ActionsMetaPaginated'
        '400':
          description: Invalid request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestResponse'
        '401':
          description: Unauthorized access.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedResponse'
        '403':
          description: Forbidden.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ForbiddenResponse'
        '404':
          description: Resource not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFoundResponse'
        '408':
          description: The request has timed out.
          headers:
            Retry-After:
              description: A time in seconds after which the request can be retried.
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RequestTimedOutResponse'
        '409':
          description: Conflict with current state.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConflictResponse'
        '422':
          description: Validation error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnprocessableEntityResponse'
        '429':
          description: Too many requests.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TooManyRequestsResponse'
        '500':
          description: Server error while executing the request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalServerErrorResponse'
        '501':
          description: This functionality is not implemented.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotImplementedResponse'
        '502':
          description: Bad gateway error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadGatewayResponse'
      security:
        - basic: []
components:
  schemas:
    ActionsMetaPaginated:
      type: object
      properties:
        next:
          type: string
          description: Cursor for fetching the next page of results
          nullable: true
        data:
          description: The list of actions metadata
          nullable: true
          type: array
          items:
            $ref: '#/components/schemas/ActionsMeta'
    BadRequestResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 400
        message:
          type: string
          description: Error message
          example: Bad Request
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
        data:
          description: Error details
          nullable: true
          allOf:
            - $ref: '#/components/schemas/UnifiedError'
        provider_errors:
          description: List of provider-specific errors
          nullable: true
          type: array
          items:
            $ref: '#/components/schemas/ProviderError'
      required:
        - statusCode
        - message
        - timestamp
    UnauthorizedResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 401
        message:
          type: string
          description: Error message
          example: Unauthorized
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    ForbiddenResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 403
        message:
          type: string
          description: Error message
          example: Forbidden resource
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    NotFoundResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 404
        message:
          type: string
          description: Error message
          example: Not Found
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    RequestTimedOutResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 408
        message:
          type: string
          description: Error message
          example: Request timed out
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    ConflictResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 409
        message:
          type: string
          description: Error message
          example: Conflict
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    UnprocessableEntityResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 422
        message:
          type: string
          description: Error message
          example: Unprocessable Entity
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    TooManyRequestsResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 429
        message:
          type: string
          description: Error message
          example: Too many requests
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    InternalServerErrorResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 500
        message:
          type: string
          description: Error message
          example: Internal server error
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    NotImplementedResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 501
        message:
          type: string
          description: Error message
          example: Not Implemented
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    BadGatewayResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 502
        message:
          type: string
          description: Error message
          example: Bad Gateway
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    ActionsMeta:
      type: object
      properties:
        account_id:
          type: string
          description: >-
            The account ID this metadata applies to (only present when filtering
            by account_ids)
          nullable: true
        integration_id:
          type: string
          description: >-
            The integration ID this metadata applies to (only present when
            filtering by account_ids)
          nullable: true
        version:
          type: string
          description: The version of the actions metadata
          nullable: true
        name:
          type: string
          description: The name of the provider
          nullable: true
        key:
          type: string
          description: The unique key for the provider
          nullable: true
        icon:
          type: string
          description: The icon URL for the provider
          nullable: true
        description:
          type: string
          description: The description of the provider
          nullable: true
        release_stage:
          type: string
          description: >-
            The release stage of the connector (e.g., ga, beta, preview). By
            default, StackOne organizations only have access to connectors in
            the 'ga' stage. To get access to 'beta' or 'preview' stage
            connectors, please contact support.
          nullable: true
        categories:
          description: The categories associated with this provider (e.g., hris, ats, crm)
          example:
            - hris
            - ats
          nullable: true
          type: array
          items:
            type: string
        authentication:
          description: The authentication methods supported by the provider
          nullable: true
          type: array
          items:
            $ref: '#/components/schemas/AuthenticationMetaItem'
        scope_definitions:
          description: The list of scope definitions available for this provider
          nullable: true
          type: array
          items:
            $ref: '#/components/schemas/ScopeDefinitionMetaItem'
        actions:
          description: The list of actions available for this provider
          nullable: true
          type: array
          items:
            $ref: '#/components/schemas/ActionMetaItem'
    UnifiedError:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 400
          nullable: true
        message:
          type: string
          description: Error message
          example: Bad Request
          nullable: true
        headers:
          type: object
          description: Response headers
          example:
            content-type: application/json
            x-request-id: 5678c28b211dace4e0a0f9171e6b88c5
          nullable: true
    ProviderError:
      type: object
      properties:
        status:
          type: number
          description: HTTP status code of the provider error
          example: 400
          nullable: true
        url:
          type: string
          description: URL that caused the error
          example: https://api.provider.com/v1/resource
          nullable: true
        raw:
          type: object
          description: Raw error response from the provider
          example:
            message: Invalid input parameters
          nullable: true
        headers:
          type: object
          description: Response headers
          example:
            content-type: application/json
            x-request-id: 5678c28b211dace4e0a0f9171e6b88c5
          nullable: true
    AuthenticationMetaItem:
      type: object
      properties:
        type:
          type: string
          description: The authentication type
          nullable: true
        label:
          type: string
          description: The authentication label
          nullable: true
        key:
          type: string
          description: The authentication key
          nullable: true
        required_scopes:
          description: The required scopes for this authentication method
          nullable: true
          type: array
          items:
            type: string
        support:
          description: >-
            The support information for this authentication method, including
            configuration and account linking guides
          nullable: true
          allOf:
            - $ref: '#/components/schemas/SupportMeta'
    ScopeDefinitionMetaItem:
      type: object
      properties:
        name:
          type: string
          description: The scope name
        description:
          type: string
          description: The scope description
        includes:
          description: The scopes auto-included within this scope
          nullable: true
          type: array
          items:
            type: string
      required:
        - name
        - description
    ActionMetaItem:
      type: object
      properties:
        id:
          type: string
          description: The action ID
          nullable: true
        label:
          type: string
          description: The action label
          nullable: true
        description:
          type: string
          description: The action description
          nullable: true
        schema_type:
          type: string
          description: The schema type for the action
          nullable: true
        tags:
          description: The tags associated with this action
          nullable: true
          type: array
          items:
            type: string
        authentication:
          description: The authentication methods supported by this action
          nullable: true
          type: array
          items:
            $ref: '#/components/schemas/AuthenticationMetaItem'
        action_details:
          type: object
          description: The action details for the action
          additionalProperties: true
          nullable: true
        required_scopes:
          description: The required scopes for the action
          nullable: true
          type: array
          items:
            type: string
    SupportMeta:
      type: object
      properties:
        link:
          type: string
          description: Link to support documentation
          nullable: true
        description:
          type: string
          description: Support description
          nullable: true
        guides:
          description: Authentication guides for this authentication type
          nullable: true
          allOf:
            - $ref: '#/components/schemas/AuthenticationGuidesMeta'
    AuthenticationGuidesMeta:
      type: object
      properties:
        config:
          description: Configuration guide
          nullable: true
          allOf:
            - $ref: '#/components/schemas/GuideMeta'
        setup:
          description: Account linking guide
          nullable: true
          allOf:
            - $ref: '#/components/schemas/GuideMeta'
    GuideMeta:
      type: object
      properties:
        warning:
          type: string
          description: Warning text for the guide
          nullable: true
        sections:
          description: The guide sections
          type: array
          items:
            $ref: '#/components/schemas/GuideSectionMeta'
      required:
        - sections
    GuideSectionMeta:
      type: object
      properties:
        title:
          type: string
          description: The title of the section
        content:
          type: string
          description: The content of the section, includes markdown formatting
        list:
          description: List items for the section
          nullable: true
          type: array
          items:
            type: string
        steps:
          description: Nested steps within the section
          nullable: true
          type: array
          items:
            $ref: '#/components/schemas/GuideStepMeta'
        applicableScopes:
          description: The scopes for which this section is applicable
          nullable: true
          type: array
          items:
            type: string
        image:
          description: An image for the section
          nullable: true
          allOf:
            - $ref: '#/components/schemas/GuideImageMeta'
      required:
        - title
        - content
    GuideStepMeta:
      type: object
      properties:
        title:
          type: string
          description: The title of the step
        content:
          type: string
          description: The content of the step, includes markdown formatting
        list:
          description: List items for the step
          nullable: true
          type: array
          items:
            type: string
        displayScopes:
          type: boolean
          description: When true, the step should display scopes
          nullable: true
        applicableScopes:
          description: The scopes for which this step is applicable
          nullable: true
          type: array
          items:
            type: string
        image:
          description: An image for the step
          nullable: true
          allOf:
            - $ref: '#/components/schemas/GuideImageMeta'
      required:
        - title
        - content
    GuideImageMeta:
      type: object
      properties:
        src:
          type: string
          description: The image source URL or relative path
        alt:
          type: string
          description: The image alt text
      required:
        - src
        - alt
  securitySchemes:
    basic:
      type: http
      scheme: basic

````